using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Watcher.Migrations
{
    /// <inheritdoc />
    public partial class RenameServerPropertiesToPascalCase : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "RAM_Load_Warning",
                table: "Servers",
                newName: "RamLoadWarning");

            migrationBuilder.RenameColumn(
                name: "RAM_Load_Critical",
                table: "Servers",
                newName: "RamLoadCritical");

            migrationBuilder.RenameColumn(
                name: "GPU_Temp_Warning",
                table: "Servers",
                newName: "GpuTempWarning");

            migrationBuilder.RenameColumn(
                name: "GPU_Temp_Critical",
                table: "Servers",
                newName: "GpuTempCritical");

            migrationBuilder.RenameColumn(
                name: "GPU_Load_Warning",
                table: "Servers",
                newName: "GpuLoadWarning");

            migrationBuilder.RenameColumn(
                name: "GPU_Load_Critical",
                table: "Servers",
                newName: "GpuLoadCritical");

            migrationBuilder.RenameColumn(
                name: "Disk_Usage_Warning",
                table: "Servers",
                newName: "DiskUsageWarning");

            migrationBuilder.RenameColumn(
                name: "Disk_Usage_Critical",
                table: "Servers",
                newName: "DiskUsageCritical");

            migrationBuilder.RenameColumn(
                name: "DISK_Temp_Warning",
                table: "Servers",
                newName: "DiskTempWarning");

            migrationBuilder.RenameColumn(
                name: "DISK_Temp_Critical",
                table: "Servers",
                newName: "DiskTempCritical");

            migrationBuilder.RenameColumn(
                name: "CPU_Temp_Warning",
                table: "Servers",
                newName: "CpuTempWarning");

            migrationBuilder.RenameColumn(
                name: "CPU_Temp_Critical",
                table: "Servers",
                newName: "CpuTempCritical");

            migrationBuilder.RenameColumn(
                name: "CPU_Load_Warning",
                table: "Servers",
                newName: "CpuLoadWarning");

            migrationBuilder.RenameColumn(
                name: "CPU_Load_Critical",
                table: "Servers",
                newName: "CpuLoadCritical");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "RamLoadWarning",
                table: "Servers",
                newName: "RAM_Load_Warning");

            migrationBuilder.RenameColumn(
                name: "RamLoadCritical",
                table: "Servers",
                newName: "RAM_Load_Critical");

            migrationBuilder.RenameColumn(
                name: "GpuTempWarning",
                table: "Servers",
                newName: "GPU_Temp_Warning");

            migrationBuilder.RenameColumn(
                name: "GpuTempCritical",
                table: "Servers",
                newName: "GPU_Temp_Critical");

            migrationBuilder.RenameColumn(
                name: "GpuLoadWarning",
                table: "Servers",
                newName: "GPU_Load_Warning");

            migrationBuilder.RenameColumn(
                name: "GpuLoadCritical",
                table: "Servers",
                newName: "GPU_Load_Critical");

            migrationBuilder.RenameColumn(
                name: "DiskUsageWarning",
                table: "Servers",
                newName: "Disk_Usage_Warning");

            migrationBuilder.RenameColumn(
                name: "DiskUsageCritical",
                table: "Servers",
                newName: "Disk_Usage_Critical");

            migrationBuilder.RenameColumn(
                name: "DiskTempWarning",
                table: "Servers",
                newName: "DISK_Temp_Warning");

            migrationBuilder.RenameColumn(
                name: "DiskTempCritical",
                table: "Servers",
                newName: "DISK_Temp_Critical");

            migrationBuilder.RenameColumn(
                name: "CpuTempWarning",
                table: "Servers",
                newName: "CPU_Temp_Warning");

            migrationBuilder.RenameColumn(
                name: "CpuTempCritical",
                table: "Servers",
                newName: "CPU_Temp_Critical");

            migrationBuilder.RenameColumn(
                name: "CpuLoadWarning",
                table: "Servers",
                newName: "CPU_Load_Warning");

            migrationBuilder.RenameColumn(
                name: "CpuLoadCritical",
                table: "Servers",
                newName: "CPU_Load_Critical");
        }
    }
}
